@ECHO OFF
CLS
ECHO                    ͻ
ECHO                               Assassinate Darth Vader            
ECHO                                    by Jereth Kok                 
ECHO                    ͼ
ECHO                             Cutscene patch by Peter Klassen
ECHO Check for necessary files:
 IF NOT EXIST KILVADER.GOB GOTO NOFILE
 IF NOT EXIST KILVADER.LFD GOTO NOFILE
 IF NOT EXIST KILVADER.BAT GOTO NOFILE
 IF NOT EXIST KILVADER.TXT GOTO NOFILE
 IF NOT EXIST VADCUT.LFD GOTO NOLFD
 IF NOT EXIST VADCUT.LST GOTO NOLFD
 IF NOT EXIST VADCUT.TXT GOTO NOLFD
 IF NOT EXIST VADCUT1.GMD GOTO NOLFD
 IF NOT EXIST VADCUT2.GMD GOTO NOLFD
 IF NOT EXIST VADCUT3.GMD GOTO NOLFD
 IF NOT EXIST VADCUT4.GMD GOTO NOLFD
 IF NOT EXIST VADCUT5.GMD GOTO NOLFD
ECHO All files found.
ECHO --------------------------------
cc
 IF EXIST JEDI.LVL GOTO CONFLICT
 IF EXIST TEXT.MSG GOTO CONFLICT
 IF EXIST BRIEFING.LST GOTO CONFLICT
 IF EXIST KYLESHIP.VUE GOTO CONFLICT
 IF EXIST SHUTTLE.VUE GOTO CONFLICT
 IF EXIST TIE1.VUE GOTO CONFLICT
 IF EXIST TIE2.VUE GOTO CONFLICT
 IF EXIST TIE3.VUE GOTO CONFLICT
 IF EXIST TIE4.VUE GOTO CONFLICT
 IF EXIST BRDGWNDW.BM GOTO CONFLICT
 IF EXIST VADER.WAX GOTO CONFLICT
 IF EXIST DEDOFFCR.FME GOTO CONFLICT
 IF EXIST OCCUTANK.FME GOTO CONFLICT
 IF EXIST TOO1BEE.FME GOTO CONFLICT
 IF EXIST PLATFORM.3DO GOTO CONFLICT
 IF EXIST FIGHT-01.GMD GOTO CONFLICT
 IF EXIST STALK-01.GMD GOTO CONFLICT
 IF EXIST BREATH.VOC GOTO CONFLICT
 IF EXIST PHASE1A.VOC GOTO CONFLICT
 IF EXIST PHASE1B.VOC GOTO CONFLICT
 IF EXIST PHASE1C.VOC GOTO CONFLICT
 IF EXIST RANTRO10.VOC GOTO CONFLICT
 IF EXIST RANTRO11.VOC GOTO CONFLICT
 IF EXIST SABER.VOC GOTO CONFLICT
 IF EXIST SWORD-1.VOC GOTO CONFLICT
 IF EXIST VADER1.VOC GOTO CONFLICT
 IF EXIST VADER2.VOC GOTO CONFLICT
 IF EXIST CUTSCENE.LST GOTO CUTCONFLICT
 IF EXIST GROMAS1.GMD GOTO CUTCONFLICT
 IF EXIST GROMAS2.GMD GOTO CUTCONFLICT
 IF EXIST ROBOT1.GMD GOTO CUTCONFLICT
 IF EXIST ROBOT2.GMD GOTO CUTCONFLICT
 IF EXIST CLOSCRED.GMD GOTO CUTCONFLICT
ECHO None found.
ECHO --------------------------------
ECHO Patching DFBRIEF.LFD
 IF EXIST DFBRIEF.LFD GOTO DFBRIEF
COPY KILVADER.LFD DFBRIEF.LFD 
ECHO --------------------------------
ECHO Patching CUTSCENE.LST and GMD files
 COPY VADCUT.LST CUTSCENE.LST
 COPY VADCUT1.GMD GROMAS1.GMD
 COPY VADCUT2.GMD GROMAS2.GMD
 COPY VADCUT3.GMD ROBOT1.GMD
 COPY VADCUT4.GMD ROBOT2.GMD
 COPY VADCUT5.GMD CLOSCRED.GMD
ECHO --------------------------------
ECHO Right, let's play!
PAUSE
dark -ukilvader.gob -shots

DEL DFBRIEF.LFD
DEL CUTSCENE.LST > nul
DEL GROMAS1.GMD > nul
DEL GROMAS2.GMD > nul
DEL ROBOT1.GMD > nul
DEL ROBOT2.GMD > nul
DEL CLOSCRED.GMD > nul
CLS
ECHO Thanks for playing!
ECHO Please mail me on...
ECHO         jereth@alphalink.com.au
ECHO                          ...and tell me what you think!
ECHO The cutscenes for this magnificent level have been brought you by
ECHO         PETER "THE HUTT" KLASSEN
ECHO                          ppklassen@aol.com
ECHO ----------------------------------------------------------------------
ECHO For those knowledgable in the technical side of Dark Forces....
ECHO  Why shouldn't the stormtroopers have been shooting at Kyle
ECHO  in the level you just played?
ECHO  (hint - is he in disguise???)
ECHO If you can figure this out, tell me the answer when you mail me!
GOTO END

:NOFILE
ECHO One of the files needed to run this level is missing!
ECHO These files are needed in your DARK directory:
ECHO            KILVADER.GOB
ECHO            KILVADER.LFD
ECHO            KILVADER.BAT
ECHO            KILVADER.TXT
GOTO END

:NOLFD
ECHO One of the Cutscene package files is missing!
ECHO If you installed the cutscene right, you should have these files
ECHO in your DARK directory:
ECHO            VADCUT.LFD
ECHO            VADCUT.LST
ECHO            VADCUT1.GMD
ECHO            VADCUT2.GMD
ECHO            VADCUT3.GMD
ECHO            VADCUT4.GMD
ECHO            VADCUT5.GMD
ECHO            VADCUT.TXT
GOTO END

:CONFLICT
ECHO One or more files exists in your DARK directory that have the same name
ECHO as a file(s) in KILVADER.GOB. The level won't work properly because
ECHO they are there. Please back up and delete them.
ECHO These are the files in KILVADER.GOB:
 ECHO  Level files:
 ECHO KILVADER.LEV 
 ECHO KILVADER.O 
 ECHO KILVADER.INF 
 ECHO KILVADER.GOL 
 ECHO KILVADER.PAL 
 ECHO KILVADER.CMP 
PAUSE 
 ECHO  Other Important files:
 ECHO JEDI.LVL 
 ECHO TEXT.MSG 
 ECHO BRIEFING.LST 
 ECHO CUTSCENE.LST 
PAUSE 
 ECHO  3D objects:
 ECHO PLATFORM.3DO 
 ECHO KYLESHIP.VUE 
 ECHO SHUTTLE.VUE 
 ECHO TIE1.VUE 
 ECHO TIE2.VUE 
 ECHO TIE3.VUE 
 ECHO TIE4.VUE 
PAUSE 
 ECHO  Graphics:
 ECHO BRDGWNDW.BM
 ECHO VADER.WAX 
 ECHO DEDOFFCR.FME 
 ECHO OCCUTANK.FME 
 ECHO TOO1BEE.FME 
PAUSE 
 ECHO  Sounds and musics:
 ECHO FIGHT-01.GMD 
 ECHO STALK-01.GMD 
 ECHO BREATH.VOC 
 ECHO PHASE1A.VOC 
 ECHO PHASE1B.VOC 
 ECHO PHASE1C.VOC 
 ECHO RANTRO10.VOC
 ECHO RANTRO11.VOC
 ECHO SABER.VOC 
 ECHO SWORD-1.VOC 
 ECHO VADER1.VOC 
 ECHO VADER2.VOC 
GOTO END

:CUTCONFLICT
ECHO One or more files exists in your DARK directory that have the same name
ECHO as the files which are reserved for the cutscene package. Please back
ECHO them up and delete them.
ECHO These are the files reserved for internal use by the cutscene:
 ECHO CUTSCENE.LST   --- Is patched by VADCUT.LST
 ECHO GROMAS1.GMD    --- Is patched by VADCUT1.GMD
 ECHO GROMAS2.GMD    --- Is patched by VADCUT2.GMD
 ECHO ROBOT1.GMD     --- Is patched by VADCUT3.GMD
 ECHO ROBOT2.GMD     --- Is patched by VADCUT4.GMD
 ECHO CLOSCRED.GMD   --- Is patched by VADCUT5.GMD
GOTO END

:DFBRIEF
ECHO A DFBRIEF.LFD exists in your DARK directory. Please back it up and 
ECHO remove it.
GOTO END

:END
ECHO ----------------------------------------------------------------------
PAUSE
exit